Description

| noticed that there is a new algorithm, the Feature filter, in QGIS 3.2.0. | would like to see a similar algorithm in the modeller for filtering
features for ranges for an attribute, such as attribute value = 0-20, 20-40, 40-60 and so on. That way, | could easily filter the features
based on their properties without specifying every single value.

History

#1 - 2018-06-08 11:54 AM - Matthias Kuhn

- Status changed from Open to Feedback

That's possible with the feature filter algorithm:

Mattr" > 0 AND "attr" <= 20

Do you need something more than this?

#2 - 2018-06-08 01:25 PM - Magnus Nilsson

I would like to filter the features into different groups, so | would need to use something like:
"attr" > 0 AND "attr" <= 20

"attr" > 20 AND "attr" <= 40

"attr" > 40 AND "attr" <= 60

| thought that "Feature Filter" would let me filter features into different groups for further processing, but | can’t get that to work. | only see one output.

#3 - 2018-06-08 04:23 PM - Matthias Kuhn

See the following blog post for an exaplanation how to create multiple outputs:

http://www.opengis.ch/2018/05/28/how-to-filter-features-in-qgis-using-the-graphical-processing-modeler/

If that is not working for this use case, please provide more details so we can see what's wrong (a model, screenshots, ...).

#4 - 2018-06-11 11:27 AM - Magnus Nilsson

Yes, that helped. | guess I'm still not used to how Processing models work. | did of course have to catch the output in the following algorithm.
http://www.opengis.ch/2018/05/28/how-to-filter-features-in-qgis-using-the-graphical-processing-modeler/

#5 - 2018-06-11 12:04 PM - Nyall Dawson
- Resolution set to invalid
- Status changed from Feedback to Closed
